<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<form id="<?php echo self::$prefix_dash; ?>form" method="post" class="form-horizontal" role="form">

			<h1 id="nnr-heading"><?php echo isset($_GET['flyout_fire_id']) ? __('Edit Flyout', self::$text_domain) : __('Add Flyout', self::$text_domain); ?></h1>

			<!-- Nav Tabs -->
			<ul class="nav nav-tabs" role="tablist" id="myTab">
				<li role="presentation" class="active"><a href="#<?php echo self::$prefix_dash;?>general" role="tab" data-toggle="tab"><?php _e('Setup / Content', self::$text_domain); ?></a></li>
				<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>display-location" role="tab" data-toggle="tab"><?php _e('Display Location', self::$text_domain); ?></a></li>
				<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>conditions" role="tab" data-toggle="tab"><?php _e('Conditions', self::$text_domain); ?></a></li>
				<li role="presentation"><a href="#<?php echo self::$prefix_dash;?>styling" role="tab" data-toggle="tab"><?php _e('Style', self::$text_domain); ?></a></li>
			</ul>
			<br/>

			<!-- Tab panes -->
			<div class="tab-content">

				<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix_dash;?>general">

					<div class="panel panel-danger">
						<div class="panel-heading"><?php _e('Required', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Name -->

							<div class="form-group <?php if (isset($edit_data['name']) && $edit_data['name'] == '') echo 'has-error has-feedback'; ?>">
								<label for="<?php echo self::$prefix_dash; ?>name" class="col-sm-3 control-label"><?php _e('Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>name" name="<?php echo self::$prefix_dash; ?>name" value="<?php echo (isset($edit_data['name']) ? esc_attr($edit_data['name']) :''); ?>">
									<?php if (isset($edit_data['name']) && $edit_data['name'] == '') echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									<em class="help-block"><?php _e('The name of the Flyout for quick reference.  Used only for administration purposes.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Status -->

							<div class="hidden form-group">
								<label for="<?php echo self::$prefix_dash; ?>active" class="col-sm-3 control-label"><?php _e('Status', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>active" name="<?php echo self::$prefix_dash; ?>active" class="form-control">
										<option value="Active" <?php echo ($edit_data['active'] == 'Active' ? 'selected="selected"' :''); ?>><?php _e('Active', self::$text_domain); ?></option>
										<option value="Inactive" <?php echo ($edit_data['active'] == 'Inactive' ? 'selected="selected"' :''); ?>><?php _e('Inactive', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The status of the Flyout.  If set to inactive the Flyout will not show.', self::$text_domain); ?></em>
								</div>
							</div>


							<!-- Powered By -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>powered-by" class="col-sm-3 control-label"><?php _e('Powered by Flyout Fire', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>powered-by" name="<?php echo self::$prefix_dash; ?>powered-by" type='checkbox' <?php echo (isset($edit_data['args']['powered_by']) && $edit_data['args']['powered_by'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>powered-by">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Display Powered By Flyout Fire at the bottom.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Content', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Content Type -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>template" class="col-sm-3 control-label"><?php _e('Content Type', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-toolbar" role="toolbar" data-toggle="buttons">

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'text' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-text" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-text" value="text" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'text' ? 'checked="checked"' : ''; ?>/> <?php _e('Text', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-font"></span>
											</label>

										</div>

<!--
										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'text-link' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-text-link" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-text-link" value="text-link" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'text-link' ? 'checked="checked"' : ''; ?>/> <?php _e('Text and Link', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-link"></span>
											</label>

										</div>
-->

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'social-icons' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-social-icons" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-social-icons" value="social-icons" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'social-icons' ? 'checked="checked"' : ''; ?>/> <?php _e('Social Icons', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-share-alt"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'newsletter' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-newsletter" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-newsletter" value="newsletter" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'newsletter' ? 'checked="checked"' : ''; ?>/> <?php _e('News Letter', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-newspaper-o"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'recent-posts' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-recent-posts" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-recent-posts" value="recent-posts" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'recent-posts' ? 'checked="checked"' : ''; ?>/> <?php _e('Recent Posts', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-archive"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'related-posts' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-related-posts" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-related-posts" value="related-posts" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'related-posts' ? 'checked="checked"' : ''; ?>/> <?php _e('Related Posts', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-files-o"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'next-post' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-next-post" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-next-post" value="next-post" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'next-post' ? 'checked="checked"' : ''; ?>/> <?php _e('Next Post', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-chevron-circle-right"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'twitter-feed' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-twitter-feed" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-twitter-feed" value="twitter-feed" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'twitter-feed' ? 'checked="checked"' : ''; ?>/> <?php _e('Twitter Feed', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-twitter"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'contact-location-info' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-contact-location-info" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-contact-location-info" value="contact-location-info" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'contact-location-info' ? 'checked="checked"' : ''; ?>/> <?php _e('Contact / Location', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-map-marker"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'contact-us' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-contact-us" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-contact-us" value="contact-us" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'contact-us' ? 'checked="checked"' : ''; ?>/> <?php _e('Contact Us Form', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-tty"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'list' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-list" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-list" value="list" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'list' ? 'checked="checked"' : ''; ?>/> <?php _e('List', self::$text_domain); ?> <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon fa fa-list-ul"></span>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-4" style="margin-bottom: 20px; margin-left: 0px;">

											<label class="btn btn-default <?php echo isset($edit_data['template']) && $edit_data['template'] == 'custom' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>template-custom" style="width:100%;white-space: normal;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>template" id="<?php echo self::$prefix_dash; ?>template-custom" value="custom" <?php echo isset($edit_data['template']) && $edit_data['template'] == 'custom' ? 'checked="checked"' : ''; ?>/> <?php _e('Custom', self::$text_domain); ?>  <br/><span class="<?php echo self::$prefix_dash; ?>settings-icon  fa fa-cog"></span>
											</label>

										</div>
									</div>

									<em class="help-block"><?php _e('What type of Flyout do you want to display.', self::$text_domain); ?></em>
								</div>
							</div>
						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Flyout Attributes', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Size -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>size" class="col-sm-3 control-label"><?php _e('Size', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['size']) && $edit_data['args']['size'] == 'small' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>size">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>size" id="<?php echo self::$prefix_dash; ?>size-small" value="small" <?php echo isset($edit_data['args']['size']) && $edit_data['args']['size'] == 'small' ? 'checked="checked"' : ''; ?>/> <?php _e('Small', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['size']) && $edit_data['args']['size'] == 'medium' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>size">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>size" id="<?php echo self::$prefix_dash; ?>size-medium" value="medium" <?php echo isset($edit_data['args']['size']) && $edit_data['args']['size'] == 'medium' ? 'checked="checked"' : ''; ?>/> <?php _e('Medium', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['size']) && $edit_data['args']['size'] == 'large' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>size">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>size" id="<?php echo self::$prefix_dash; ?>size-large" value="large" <?php echo isset($edit_data['args']['size']) && $edit_data['args']['size'] == 'large' ? 'checked="checked"' : ''; ?>/> <?php _e('Large', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('The size of the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Shape -->

							<div class="form-group hidden">
								<label for="<?php echo self::$prefix_dash; ?>shape" class="col-sm-3 control-label"><?php _e('Shape', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['shape']) && $edit_data['args']['shape'] == 'square' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>size">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>shape" id="<?php echo self::$prefix_dash; ?>shape-square" value="square" <?php echo isset($edit_data['args']['shape']) && $edit_data['args']['shape'] == 'square' ? 'checked="checked"' : ''; ?>/> <?php _e('Square', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['shape']) && $edit_data['args']['shape'] == 'rounded-square' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>size">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>shape" id="<?php echo self::$prefix_dash; ?>shape-rounded-square" value="rounded-square" <?php echo isset($edit_data['args']['shape']) && $edit_data['args']['shape'] == 'rounded-square' ? 'checked="checked"' : ''; ?>/> <?php _e('Rounded Square', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('The shape of the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Display Layout -->

							<div class="form-group hidden">
								<label for="<?php echo self::$prefix_dash; ?>display" class="col-sm-3 control-label"><?php _e('Display on Page Load', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['display']) && $edit_data['display'] == 'Bar' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>display" id="<?php echo self::$prefix_dash; ?>display" value="Bar" <?php echo isset($edit_data['display']) && $edit_data['display'] == 'Bar' ? 'checked="checked"' : ''; ?>/> <?php _e('Bar', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['display']) && $edit_data['display'] == 'Stub' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>display" id="<?php echo self::$prefix_dash; ?>display" value="Stub" <?php echo isset($edit_data['display']) && $edit_data['display'] == 'Stub' ? 'checked="checked"' : ''; ?>/> <?php _e('Stub', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('Display (bar) or (stub) on page load.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Slide Direction -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>slide-direction" class="col-sm-3 control-label"><?php _e('Slide Direction', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['slide_direction']) && $edit_data['args']['slide_direction'] == 'left' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>slide-direction">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>slide-direction" id="<?php echo self::$prefix_dash; ?>slide-direction" value="left" <?php echo isset($edit_data['args']['slide_direction']) && $edit_data['args']['slide_direction'] == 'left' ? 'checked="checked"' : ''; ?>/> <?php _e('Horizontal', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['slide_direction']) && $edit_data['args']['slide_direction'] == 'up' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>slide-direction">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>slide-direction" id="<?php echo self::$prefix_dash; ?>slide-direction" value="up" <?php echo isset($edit_data['args']['slide_direction']) && $edit_data['args']['slide_direction'] == 'up' ? 'checked="checked"' : ''; ?>/> <?php _e('Vertical', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('The direction in which the Flyout will animate.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Position -->

							<div class="form-group hidden">
								<label for="<?php echo self::$prefix_dash; ?>position" class="col-sm-3 control-label"><?php _e('Flyout Position', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['position']) && $edit_data['args']['position'] == 'fixed' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>position" id="<?php echo self::$prefix_dash; ?>position" value="fixed" <?php echo isset($edit_data['args']['position']) && $edit_data['args']['position'] == 'fixed' ? 'checked="checked"' : ''; ?>/> <?php _e('Fixed', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['position']) && $edit_data['args']['position'] == 'absolute' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>position" id="<?php echo self::$prefix_dash; ?>position" value="absolute" <?php echo isset($edit_data['args']['position']) && $edit_data['args']['position'] == 'absolute' ? 'checked="checked"' : ''; ?>/> <?php _e('Absolute', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('The position of the Flyout on the page.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Global Attributes', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Headline -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>heading" class="col-sm-3 control-label"><?php _e('Headline', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>heading" name="<?php echo self::$prefix_dash; ?>heading" type='text' value='<?php echo (isset($edit_data['args']['heading']) ? esc_attr($edit_data['args']['heading']) :'');?>'/>
									<em class="help-block"><?php _e('The heading that will be displayed in the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Paragraph Text -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>text" class="col-sm-3 control-label"><?php _e('Paragraph Text', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<textarea class="form-control" id="<?php echo self::$prefix_dash; ?>text" name="<?php echo self::$prefix_dash; ?>text" rows="3"><?php echo (isset($edit_data['text']) ? html_entity_decode(esc_attr($edit_data['text'])) :'');?></textarea>
									<em class="help-block"><?php _e('The paragraph text that will be displayed in the Flyout. This setting accepts shortcode and HTML tags.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Footer -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>footer" class="col-sm-3 control-label"><?php _e('Footer', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<textarea class="form-control" id="<?php echo self::$prefix_dash; ?>footer" name="<?php echo self::$prefix_dash; ?>footer" rows="3"><?php echo (isset($edit_data['args']['footer']) ? html_entity_decode(esc_attr($edit_data['args']['footer'])) :'');?></textarea>
									<em class="help-block"><?php _e('The Footer of the Flyout.  This setting accepts HTML tags.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Footer Icon -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>footer-icon" class="col-sm-3 control-label"><?php _e('Footer Icon', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>footer-icon" data-iconset="fontawesome" data-icon="<?php echo $edit_data['args']['footer_icon']; ?>" role="iconpicker"></button>

									<em class="help-block"><?php _e('The icon that will display to the left of your footer text.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-text <?php echo self::$prefix_dash; ?>template-list <?php echo self::$prefix_dash; ?>template-social-icons <?php echo self::$prefix_dash; ?>template-contact-location-info">
						<div class="panel-heading"><?php _e('Button Link', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Display Button -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>display-button" class="col-sm-3 control-label"><?php _e('Display Button', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>display-button" name="<?php echo self::$prefix_dash; ?>display-button" type='checkbox' <?php echo (isset($edit_data['text_link']['display_button']) && $edit_data['text_link']['display_button'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>display-button">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Display this button inside the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link Name -->

							<div class="form-group <?php echo self::$prefix_dash; ?>display-button">
								<label for="<?php echo self::$prefix_dash; ?>link-name" class="col-sm-3 control-label"><?php _e('Link Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>link-name" name="<?php echo self::$prefix_dash; ?>link-name" type='text' value='<?php echo (isset($edit_data['link_name']) ? esc_attr($edit_data['link_name']) :'');?>' placeholder="Anchor Link Text"/>
									<em class="help-block"><?php _e('The anchor text of the link.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link URL -->

							<div class="form-group <?php echo self::$prefix_dash; ?>display-button">
								<label for="<?php echo self::$prefix_dash; ?>link-url" class="col-sm-3 control-label"><?php _e('Link URL', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>link-url" name="<?php echo self::$prefix_dash; ?>link-url" type='text' value='<?php echo (isset($edit_data['link_url']) ? $edit_data['link_url'] :'');?>' placeholder="http://example.com"/>
									<em class="help-block"><?php _e('The destination URL of the link.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link Type -->

							<div class="hidden form-group">
								<label for="<?php echo self::$prefix_dash; ?>link-type" class="col-sm-3 control-label"><?php _e('Link Type', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>link-type" name="<?php echo self::$prefix_dash; ?>link-type">
										<option value="text" <?php echo ($edit_data['text_link']['link_type'] == 'text' ? 'selected="selected"' :''); ?>><?php _e('Text', self::$text_domain); ?></option>
										<option value="button" <?php echo ($edit_data['text_link']['link_type'] == 'button' ? 'selected="selected"' :''); ?>><?php _e('Button', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The type of link to use.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link Target -->

							<div class="form-group <?php echo self::$prefix_dash; ?>display-button">
								<label for="<?php echo self::$prefix_dash; ?>link-target" class="col-sm-3 control-label"><?php _e('Link Target', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>link-target" name="<?php echo self::$prefix_dash; ?>link-target">
										<option value="_self" <?php echo ($edit_data['text_link']['link_target'] == '_self' ? 'selected="selected"' :''); ?>><?php _e('Same window', self::$text_domain); ?></option>
										<option value="_blank" <?php echo ($edit_data['text_link']['link_target'] == '_blank' ? 'selected="selected"' :''); ?>><?php _e('New tab or window', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Open link in the same or new window?', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link rel nofollow -->

							<div class="form-group <?php echo self::$prefix_dash; ?>display-button">
								<label for="<?php echo self::$prefix_dash; ?>link-rel" class="col-sm-3 control-label"><?php _e('NoFollow Link', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>link-rel" name="<?php echo self::$prefix_dash; ?>link-rel" type="checkbox" <?php echo isset($edit_data['text_link']['link_rel']) && $edit_data['text_link']['link_rel'] ? 'checked="checked"' : ''; ?>/>
									<label for="<?php echo self::$prefix_dash; ?>link-rel">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Add rel="nofollow" to the link.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-social-icons">
						<div class="panel-heading"><?php _e('Social Icons', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Social Media Accounts - Repeater Field -->

							<button type="button" role="button" class="<?php echo self::$prefix_dash; ?>social-add-platform <?php echo self::$prefix_dash; ?>social-div btn btn-success">
								<span class="glyphicon glyphicon-plus"></span>
								<?php _e('Add Social Media Platform'); ?>
							</button>
							<br/>
							<br/>

							<table id="<?php echo self::$prefix_dash; ?>social-div-table" class="table table-striped <?php echo self::$prefix_dash; ?>social-div">

								<thead>
									<tr>
										<th class="text-center"><?php _e('Move', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('Type', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('URL', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('Remove', self::$text_domain); ?></th>
									</tr>
								</thead>

								<tbody id="<?php echo self::$prefix_dash; ?>social-div-tbody">

									<?php foreach ($edit_data['social']['icons'] as $icon) { ?>

									<tr class="text-center">
										<td>
											<i class="<?php echo self::$prefix_dash; ?>move fa fa-bars"></i>
										</td>
										<td>

											<select id="<?php echo self::$prefix_dash; ?>social-type" name="<?php echo self::$prefix_dash; ?>social-type[]">
											<?php foreach (self::$social_icons as $key => $name) { ?>
												<option value="<?php echo $key; ?>" <?php selected($icon['type'], $key, true); ?>><?php echo $name; ?></option>
											<?php } ?>
											</select>
										</td>
										<td>
											<input class="form-control" id="<?php echo self::$prefix_dash; ?>social-url" name="<?php echo self::$prefix_dash; ?>social-url[]" type="text" value="<?php echo (isset($icon['url']) ? $icon['url'] :''); ?>" placeholder="http://example.com"/>
										</td>
										<td>
											<input class="<?php echo self::$prefix_dash; ?>social-remove-platform btn btn-danger" type="button" value="<?php _e('Remove'); ?>"/>
										</td>
									</tr>

									<?php } ?>

								</tbody>
							</table>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-list">
						<div class="panel-heading"><?php _e('List', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- List - Repeater Field -->

							<button type="button" role="button" class="<?php echo self::$prefix_dash; ?>list-add-platform <?php echo self::$prefix_dash; ?>list-div btn btn-success">
								<span class="glyphicon glyphicon-plus"></span>
								<?php _e('Add List Item'); ?>

							</button>

							<br/>
							<br/>

							<table id="<?php echo self::$prefix_dash; ?>list-div-table" class="table table-striped <?php echo self::$prefix_dash; ?>list-div">

								<thead>
									<tr>
										<th class="text-center"><?php _e('Move', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('Icon', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('Text', self::$text_domain); ?></th>
										<th class="text-center"><?php _e('Remove', self::$text_domain); ?></th>
									</tr>
								</thead>

								<tbody id="<?php echo self::$prefix_dash; ?>list-div-tbody">

									<?php foreach ($edit_data['args']['list']['items'] as $item) { ?>

									<tr class="text-center">
										<td>
											<i class="<?php echo self::$prefix_dash; ?>move fa fa-bars"></i>
										</td>
										<td>
											<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>list-icon[]" data-iconset="fontawesome" data-icon="<?php echo $item['icon']; ?>" role="iconpicker"></button>
										</td>
										<td>
											<input class="form-control" name="<?php echo self::$prefix_dash; ?>list-text[]" type="text" value="<?php echo (isset($item['text']) ? esc_attr($item['text']) :''); ?>" placeholder="List item text"/>
										</td>
										<td>
											<input class="<?php echo self::$prefix_dash; ?>list-remove-platform btn btn-danger" type="button" value="<?php _e('Remove'); ?>"/>
										</td>
									</tr>

									<?php } ?>

								</tbody>
							</table>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-newsletter">
						<div class="panel-heading"><?php _e('News Letter', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- News Letter -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-type" class="col-sm-3 control-label"><?php _e('Email Capture Service', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>news-letter-type" name="<?php echo self::$prefix_dash; ?>news-letter-type">
										<option value="WordPress" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'WordPress') ? 'selected="selected"' :''); ?>><?php _e('WordPress', self::$text_domain); ?></option>
										<option value="MailChimp" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'MailChimp') ? 'selected="selected"' :''); ?>><?php _e('MailChimp', self::$text_domain); ?></option>
										<option value="aweber" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'aweber') ? 'selected="selected"' :''); ?>><?php _e('Aweber', self::$text_domain); ?></option>
										<option value="getresponse" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'getresponse') ? 'selected="selected"' :''); ?>><?php _e('Get Response', self::$text_domain); ?></option>
										<option value="campaignmonitor" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'campaignmonitor') ? 'selected="selected"' :''); ?>><?php _e('Campaign Monitor', self::$text_domain); ?></option>
										<option value="madmimi" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'madmimi') ? 'selected="selected"' :''); ?>><?php _e('Mad Mimi', self::$text_domain); ?></option>
										<option value="feedburner" <?php echo ((isset($edit_data['news_letter']['type']) && $edit_data['news_letter']['type'] == 'feedburner') ? 'selected="selected"' :''); ?>><?php _e('Feedburner', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Select the email or newsletter service you want to use.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- First Name -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-first-name" class="col-sm-3 control-label"><?php _e('First Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-first-name" name="<?php echo self::$prefix_dash; ?>news-letter-first-name" type="checkbox" <?php echo isset($edit_data['news_letter']['first_name']) && $edit_data['news_letter']['first_name'] ? 'checked="checked"' : ''; ?>/>
									<label for="<?php echo self::$prefix_dash; ?>news-letter-first-name">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Include first name.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Last Name -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-last-name" class="col-sm-3 control-label"><?php _e('Last Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-last-name" name="<?php echo self::$prefix_dash; ?>news-letter-last-name" type="checkbox" <?php echo isset($edit_data['news_letter']['last_name']) && $edit_data['news_letter']['last_name'] ? 'checked="checked"' : ''; ?>/>
									<label for="<?php echo self::$prefix_dash; ?>news-letter-last-name">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Include last name.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- MailChimp Optin In -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" class="col-sm-3 control-label"><?php _e('MailChimp Double Opt-in', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin" type="checkbox" <?php echo (isset($edit_data['news_letter']['MailChimp']['optin']) && $edit_data['news_letter']['MailChimp']['optin'] ? 'checked="checked"' : ''); ?>/>
									<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-optin">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Require users to verify their email address in order to subscribe to your list.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- MailChimp API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" class="col-sm-3 control-label"><?php _e('MailChimp API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['MailChimp']['api_key']) ? $edit_data['news_letter']['MailChimp']['api_key'] :''); ?>" />
									<em class="help-block"><?php _e('Add your MailChimp ', self::$text_domain); ?><a href="http://kb.mailchimp.com/accounts/management/about-api-keys" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- MailChimp List -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-api-key" class="col-sm-3 control-label"><?php _e('MailChimp List', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-list" name="<?php echo self::$prefix_dash; ?>news-letter-MailChimp-list" data-list="<?php echo $edit_data['news_letter']['MailChimp']['list']; ?>"></select>
									<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Aweber Actions -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label class="col-sm-3 control-label"><?php _e('Step 1:', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<a href="https://auth.aweber.com/1.0/oauth/authorize_app/<?php echo self::$aweber_app_id; ?>" target="_blank" class="btn btn-primary <?php echo self::$prefix_dash; ?>news-letter-aweber-connect"><?php isset($edit_data['news_letter']['aweber']['access_key']) && $edit_data['news_letter']['aweber']['access_key'] == '' ? _e('Get Code', self::$text_domain) : _e('Reconnect Account', self::$text_domain); ?></a>
								</div>
							</div>

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo isset($edit_data['news_letter']['aweber']['access_key']) && $edit_data['news_letter']['aweber']['access_key'] != '' ? 'hidden' : ''; ?>">
								<label class="col-sm-3 control-label"><?php _e('Step 2:', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-code" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-code" type="text" value=""/>
									<em class="help-block"><?php _e('Copy the authorization code here and wait for lists to populate.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- AWeber Customer Key -->

							<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" class="col-sm-3 control-label"><?php _e('Customer Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-key" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['consumer_key']) ? $edit_data['news_letter']['aweber']['consumer_key'] :''); ?>" />
								</div>
							</div>

							<!-- AWeber Customer Secret -->

							<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" class="col-sm-3 control-label"><?php _e('Customer Secret', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-consumer-secret" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['consumer_secret']) ? $edit_data['news_letter']['aweber']['consumer_secret'] :''); ?>" />
								</div>
							</div>

							<!-- AWeber Access Key -->

							<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" class="col-sm-3 control-label"><?php _e('Access Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-key" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['access_key']) ? $edit_data['news_letter']['aweber']['access_key'] :''); ?>" />
								</div>
							</div>

							<!-- AWeber Access Secret -->

							<div class="hidden form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" class="col-sm-3 control-label"><?php _e('Access Secret', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-access-secret" type="text" value="<?php echo (isset($edit_data['news_letter']['aweber']['access_secret']) ? $edit_data['news_letter']['aweber']['access_secret'] :''); ?>" />
								</div>
							</div>

							<!-- AWeber List ID -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-aweber-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('List ID', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" name="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" data-list="<?php echo $edit_data['news_letter']['aweber']['list_id']; ?>"></select>
								</div>
							</div>

							<!-- Get Response API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" class="col-sm-3 control-label"><?php _e('Get Response API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-getresponse-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['getresponse']['api_key']) ? $edit_data['news_letter']['getresponse']['api_key'] :''); ?>" />
									<em class="help-block"><?php _e('Add your Get Response ', self::$text_domain); ?><a href="http://www.getresponse.com/learning-center/glossary/api-key.html" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Get Response List -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" class="col-sm-3 control-label"><?php _e('Get Response List', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" name="<?php echo self::$prefix_dash; ?>news-letter-getresponse-campaign" data-campaign="<?php echo $edit_data['news_letter']['getresponse']['campaign']; ?>"></select>
									<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Campaign Monitor API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" class="col-sm-3 control-label"><?php _e('API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['campaignmonitor']['api_key']) ? $edit_data['news_letter']['campaignmonitor']['api_key'] :''); ?>" />
									<em class="help-block"><?php _e('Add your Campaign Monitor ', self::$text_domain); ?><a href="http://help.campaignmonitor.com/topic.aspx?t=206" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to Flyout.', self::$text_domain); ?></em>

								</div>
							</div>

							<!-- Campaign Monitor Client -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" class="col-sm-3 control-label"><?php _e('Campaign Monitor Client', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-client" data-client="<?php echo $edit_data['news_letter']['campaignmonitor']['client']; ?>"></select>
									<em class="help-block"><?php _e('Select the client you want to use.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Campaign Monitor List -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" class="col-sm-3 control-label"><?php _e('Campaign Monitor List', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" name="<?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-list" data-list="<?php echo $edit_data['news_letter']['campaignmonitor']['list']; ?>"></select>
									<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Mad Mimi Username -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" class="col-sm-3 control-label"><?php _e('Mad Mimi Username / Email', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-username" type="text" value="<?php echo (isset($edit_data['news_letter']['madmimi']['username']) ? $edit_data['news_letter']['madmimi']['username'] :''); ?>" />
									<em class="help-block"><?php _e('Your Mad Mini username or associated email address.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Mad Mimi API Key -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" class="col-sm-3 control-label"><?php _e('Mad Mimi API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-api-key" type="text" value="<?php echo (isset($edit_data['news_letter']['madmimi']['api_key']) ? $edit_data['news_letter']['madmimi']['api_key'] :''); ?>" />
									<em class="help-block"><?php _e('Add your Mad Mimi ', self::$text_domain); ?><a href="http://help.madmimi.com/where-can-i-find-my-api-key/" target="_blank"><?php _e('API Key', self::$text_domain); ?></a><?php _e(' to link your list to Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Mad Mimi List -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" class="col-sm-3 control-label"><?php _e('Mad Mimi List', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" name="<?php echo self::$prefix_dash; ?>news-letter-madmimi-list" data-list="<?php echo $edit_data['news_letter']['madmimi']['list']; ?>"></select>
									<em class="help-block"><?php _e('Select the list you want your subscribers to go into.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Feedburner -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-feedburner-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('List ID', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-feedburner-id" name="<?php echo self::$prefix_dash; ?>news-letter-feedburner-id" type="text" value="<?php echo (isset($edit_data['news_letter']['feedburner']['id']) ? $edit_data['news_letter']['feedburner']['id'] :''); ?>" />
									<em class="help-block"><?php _e('The ID to the feedburner mailing list.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Success Action -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-success-action" class="col-sm-3 control-label"><?php _e('Success Action', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>news-letter-success-action" name="<?php echo self::$prefix_dash; ?>news-letter-success-action">
										<option value="message" <?php selected('message', $edit_data['news_letter']['success_action'], true) ;?>><?php _e('Show a message', self::$text_domain); ?></option>
										<option value="redirect" <?php selected('redirect', $edit_data['news_letter']['success_action'], true) ;?>><?php _e('Redirect to another page', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('What should happen after a user successfully signs up to your newsletter?', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Button Text -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-success-action <?php echo self::$prefix_dash; ?>news-letter-success-action-message">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-button-text" class="col-sm-3 control-label"><?php _e('Button Text', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-button-text" name="<?php echo self::$prefix_dash; ?>news-letter-button-text" type="text" value="<?php echo (isset($edit_data['news_letter']['button_text']) ? esc_attr($edit_data['news_letter']['button_text']) : $default_flyout_fire['news_letter']['button_text']); ?>" />
									<em class="help-block"><?php _e('The text within the Newsletter submit button.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Success Message -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-success-action <?php echo self::$prefix_dash; ?>news-letter-success-action-message">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-success-message" class="col-sm-3 control-label"><?php _e('Success Message', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-success-message" name="<?php echo self::$prefix_dash; ?>news-letter-success-message" type="text" value="<?php echo (isset($edit_data['news_letter']['success_message']) ? esc_attr($edit_data['news_letter']['success_message']) : $default_flyout_fire['news_letter']['success_message']); ?>" />
									<em class="help-block"><?php _e('What the user will see after successfully signing up to your Newsletter.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Success URL -->

							<div class="form-group <?php echo self::$prefix_dash; ?>news-letter-div <?php echo self::$prefix_dash; ?>news-letter-WordPress-div <?php echo self::$prefix_dash; ?>news-letter-MailChimp-div <?php echo self::$prefix_dash; ?>news-letter-aweber-div <?php echo self::$prefix_dash; ?>news-letter-getresponse-div <?php echo self::$prefix_dash; ?>news-letter-campaignmonitor-div <?php echo self::$prefix_dash; ?>news-letter-madmimi-div <?php echo self::$prefix_dash; ?>news-letter-success-action <?php echo self::$prefix_dash; ?>news-letter-success-action-redirect">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-success-url" class="col-sm-3 control-label"><?php _e('Success URL', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>news-letter-success-url" name="<?php echo self::$prefix_dash; ?>news-letter-success-url" type="text" value="<?php echo (isset($edit_data['news_letter']['success_message']) ? esc_url_raw($edit_data['news_letter']['success_url']) : $default_flyout_fire['news_letter']['success_url']); ?>" />
									<em class="help-block"><?php _e('Where the user will be redirected after a successful signup, usually a Thank You page.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-recent-posts">
						<div class="panel-heading"><?php _e('Recent Posts', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Recent Posts Count -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>recent-posts-count" class="col-sm-3 control-label"><?php _e('Count', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>recent-posts-count" name="<?php echo self::$prefix_dash; ?>recent-posts-count">

									<?php for ($i = 1; $i < 11; $i++) {?>
									<option value="<?php echo $i; ?>" <?php selected($i, $edit_data['args']['recent_posts']['count'], true); ?>><?php echo $i; ?></option>
									<?php } ?>

									</select>
									<em class="help-block"><?php _e('The number of posts to display.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Recent Posts Tag -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>recent-posts-tag" class="col-sm-3 control-label"><?php _e('Tag', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>recent-posts-tag" name="<?php echo self::$prefix_dash; ?>recent-posts-tag" type='text' value='<?php echo (isset($edit_data['args']['recent_posts']['tag']) ? esc_attr($edit_data['args']['recent_posts']['tag']) :'');?>' placeholder="e.g. tag or tag,tag1,tag2"/>
									<em class="help-block"><?php _e('Posts with this/these tag(s) will be displayed in the Flyout. Leave blank to display recent posts.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-related-posts">
						<div class="panel-heading"><?php _e('Related Posts', self::$text_domain); ?></div>
						<div class="panel-body">

							<em class="help-block"><?php _e('Related posts are determined based off the current post\'s tags.', self::$text_domain); ?></em>

							<!-- Related Posts Count -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>related-posts-count" class="col-sm-3 control-label"><?php _e('Count', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>related-posts-count" name="<?php echo self::$prefix_dash; ?>related-posts-count">

									<?php for ($i = 1; $i < 11; $i++) {?>
									<option value="<?php echo $i; ?>" <?php selected($i, $edit_data['args']['related_posts']['count'], true); ?>><?php echo $i; ?></option>
									<?php } ?>

									</select>
									<em class="help-block"><?php _e('The number of posts to display.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-recent-posts <?php echo self::$prefix_dash; ?>template-related-posts <?php echo self::$prefix_dash; ?>template-next-post">
						<div class="panel-heading"><?php _e('Post Attributes', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Thumbnail -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>thumbnail" class="col-sm-3 control-label"><?php _e('Featured Image', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>thumbnail" name="<?php echo self::$prefix_dash; ?>thumbnail" type='checkbox' <?php echo (isset($edit_data['args']['post']['thumbnail']) && $edit_data['args']['post']['thumbnail'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>thumbnail">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Show the post\'s featured image thumbnail.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Meta Data -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>meta-data" class="col-sm-3 control-label"><?php _e('Meta Data', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>meta-data" name="<?php echo self::$prefix_dash; ?>meta-data" type='checkbox' <?php echo (isset($edit_data['args']['post']['meta_data']) && $edit_data['args']['post']['meta_data'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>meta-data">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Show the post\'s meta data.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Excerpt -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>excerpt" class="col-sm-3 control-label"><?php _e('Excerpt', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>excerpt" name="<?php echo self::$prefix_dash; ?>excerpt" type='checkbox' <?php echo (isset($edit_data['args']['post']['excerpt']) && $edit_data['args']['post']['excerpt'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>excerpt">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Show the post\'s excerpt.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-twitter-feed">
						<div class="panel-heading"><?php _e('Twitter Feed', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Twitter Count -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>twitter-count" class="col-sm-3 control-label"><?php _e('Count', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>twitter-count" name="<?php echo self::$prefix_dash; ?>twitter-count">

									<?php for ($i = 1; $i < 11; $i++) {?>
									<option value="<?php echo $i; ?>" <?php selected($i, $edit_data['args']['twitter']['count'], true); ?>><?php echo $i; ?></option>
									<?php } ?>

									</select>
									<em class="help-block"><?php _e('The number of tweets to display.', self::$text_domain); ?></em>
								</div>
							</div>

							<div class="form-group">
								<label class="col-sm-3 control-label"></label>
								<div class="col-sm-9">
									<p><?php _e('Find out how to get these values ', self::$text_domain); ?> <a href="http://www.wpsite.net/twitter-api-keys/" target="_blank"><?php _e('here', self::$text_domain); ?></a>.</p>
								</div>
							</div>


							<!-- Twitter API Key -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>twitter-api-key" class="col-sm-3 control-label"><?php _e('API Key', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>twitter-api-key" name="<?php echo self::$prefix_dash; ?>twitter-api-key" type='text' value='<?php echo (isset($edit_data['args']['twitter']['api_key']) ? esc_attr($edit_data['args']['twitter']['api_key']) :'');?>'/>
								</div>
							</div>

							<!-- Twitter API Secret -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>twitter-api-secret" class="col-sm-3 control-label"><?php _e('API Secret', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>twitter-api-secret" name="<?php echo self::$prefix_dash; ?>twitter-api-secret" type='text' value='<?php echo (isset($edit_data['args']['twitter']['api_secret']) ? esc_attr($edit_data['args']['twitter']['api_secret']) :'');?>'/>
								</div>
							</div>

							<!-- Twitter API Key -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>twitter-token" class="col-sm-3 control-label"><?php _e('Token', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>twitter-token" name="<?php echo self::$prefix_dash; ?>twitter-token" type='text' value='<?php echo (isset($edit_data['args']['twitter']['token']) ? esc_attr($edit_data['args']['twitter']['token']) :'');?>'/>
								</div>
							</div>

							<!-- Twitter API Key -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>twitter-token-secret" class="col-sm-3 control-label"><?php _e('Token Secret', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>twitter-token-secret" name="<?php echo self::$prefix_dash; ?>twitter-token-secret" type='text' value='<?php echo (isset($edit_data['args']['twitter']['token_secret']) ? esc_attr($edit_data['args']['twitter']['token_secret']) :'');?>'/>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-contact-location-info">
						<div class="panel-heading"><?php _e('Contact / Location Info', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Name -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-location-name" class="col-sm-3 control-label"><?php _e('Business Name', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-location-name" name="<?php echo self::$prefix_dash; ?>contact-location-name" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_location']['name']) ? esc_attr($edit_data['args']['contact_location']['name']) : ''; ?>">
								</div>
							</div>

							<!-- Street -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-location-street" class="col-sm-3 control-label"><?php _e('Street Address', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-location-street" name="<?php echo self::$prefix_dash; ?>contact-location-street" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_location']['street']) ? esc_attr($edit_data['args']['contact_location']['street']) : ''; ?>">
								</div>
							</div>

							<!-- City -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-location-city" class="col-sm-3 control-label"><?php _e('City', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-location-city" name="<?php echo self::$prefix_dash; ?>contact-location-city" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_location']['city']) ? esc_attr($edit_data['args']['contact_location']['city']) : ''; ?>">
								</div>
							</div>

							<!-- State -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-location-state" class="col-sm-3 control-label"><?php _e('State', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-location-state" name="<?php echo self::$prefix_dash; ?>contact-location-state" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_location']['state']) ? esc_attr($edit_data['args']['contact_location']['state']) : ''; ?>">
								</div>
							</div>

							<!-- Zip Code -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-location-zip" class="col-sm-3 control-label"><?php _e('Zip Code', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-location-zip" name="<?php echo self::$prefix_dash; ?>contact-location-zip" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_location']['zip']) ? esc_attr($edit_data['args']['contact_location']['zip']) : ''; ?>">
								</div>
							</div>

							<!-- Country -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-location-country" class="col-sm-3 control-label"><?php _e('Country', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-location-country" name="<?php echo self::$prefix_dash; ?>contact-location-country" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_location']['country']) ? esc_attr($edit_data['args']['contact_location']['country']) : ''; ?>">
								</div>
							</div>

							<!-- Phone -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-location-phone" class="col-sm-3 control-label"><?php _e('Phone', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-location-phone" name="<?php echo self::$prefix_dash; ?>contact-location-phone" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_location']['phone']) ? esc_attr($edit_data['args']['contact_location']['phone']) : ''; ?>">
								</div>
							</div>

							<!-- Email -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-location-email" class="col-sm-3 control-label"><?php _e('Email', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-location-email" name="<?php echo self::$prefix_dash; ?>contact-location-email" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_location']['email']) ? esc_attr($edit_data['args']['contact_location']['email']) : ''; ?>">
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-contact-us">
						<div class="panel-heading"><?php _e('Contact Us', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Email -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-us-email" class="col-sm-3 control-label"><?php _e('Email', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>contact-us-email" name="<?php echo self::$prefix_dash; ?>contact-us-email" class="form-control" type="text" value="<?php echo isset($edit_data['args']['contact_us']['email']) ? esc_attr($edit_data['args']['contact_us']['email']) : ''; ?>" placeholder="e.g. bob@example.com or bob@example.com, jane@example.com, kyle@example.com">
									<em class="help-block"><?php _e('The email(s) in which all submissions are sent.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Thank You Message -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>contact-us-thank-you" class="col-sm-3 control-label"><?php _e('Thank You Message', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<textarea class="form-control" id="<?php echo self::$prefix_dash; ?>contact-us-thank-you" name="<?php echo self::$prefix_dash; ?>contact-us-thank-you" rows="1"><?php echo isset($edit_data['args']['contact_us']['thank_you']) ? html_entity_decode($edit_data['args']['contact_us']['thank_you']) : ''; ?></textarea>
									<em class="help-block"><?php _e('The thank you message a user will see once their email is sent to you.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-custom">
						<div class="panel-heading"><?php _e('Custom HTML', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Custom -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>news-letter-aweber-list-id" class="col-sm-3 control-label"><?php _e('Custom HTML or Shortcode', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<textarea class="form-control" id="<?php echo self::$prefix_dash; ?>custom" name="<?php echo self::$prefix_dash; ?>custom" rows="16" cols="100"><?php echo (isset($edit_data['custom']) ? html_entity_decode($edit_data['custom']) :'');?></textarea>
									<em class="help-block"><?php _e('Add custom HTML or shortcode here.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

				</div><!-- general -->

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>display-location">

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Location', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Full -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>full" class="col-sm-3 control-label"><?php _e('Full Height / Width', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['full']) && $edit_data['args']['full'] == 'no' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>full">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>full" id="<?php echo self::$prefix_dash; ?>full-no" value="no" <?php echo isset($edit_data['args']['full']) && $edit_data['args']['full'] == 'no' ? 'checked="checked"' : ''; ?>/> <?php _e('Panel', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['full']) && $edit_data['args']['full'] == 'yes' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>full">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>full" id="<?php echo self::$prefix_dash; ?>full-yes" value="yes" <?php echo isset($edit_data['args']['full']) && $edit_data['args']['full'] == 'yes' ? 'checked="checked"' : ''; ?>/> <?php _e('Full Width / Height', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('Allow the Flyout to be full height or width?', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Push / Pull -->

							<div class="form-group <?php echo self::$prefix_dash; ?>push-pull">
								<label for="<?php echo self::$prefix_dash; ?>push-pull" class="col-sm-3 control-label"><?php _e('Push / Pull', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>push-pull" name="<?php echo self::$prefix_dash; ?>push-pull" type='checkbox' <?php echo (isset($edit_data['args']['push_pull']) && $edit_data['args']['push_pull'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>push-pull">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Move the contents of the site when the Flyout hides and shows.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Location -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>location" class="col-sm-3 control-label"><?php _e('Flyout Location', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-toolbar" role="toolbar" data-toggle="buttons">

										<div class="btn-group col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>location-button <?php echo isset($edit_data['location']) && $edit_data['location'] == 1 ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location" style="width:100%;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location-<?php echo '1'; ?>" value="<?php echo '1'; ?>" <?php echo isset($edit_data['location']) && $edit_data['location'] == 1 ? 'checked="checked"' : ''; ?>/>

<!--
												<div class="col-xs-4" style="position: absolute;left: 0;top: 10px;">
													<div role="button" class="<?php echo self::$prefix_dash; ?>loction-inner-button btn btn-primary">
														<i class="fa fa-bars"></i>
													</div>
												</div>
-->

											</div>

										</div>

										<div class="btn-group col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>location-button <?php echo isset($edit_data['location']) && $edit_data['location'] == 2 ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location" style="width:100%;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location-<?php echo '2'; ?>" value="<?php echo '2'; ?>" <?php echo isset($edit_data['location']) && $edit_data['location'] == 2 ? 'checked="checked"' : ''; ?>/>

<!--
												<div class="col-xs-4" style="padding: 0px;position: absolute;top:10px;left: 0;right: 0;margin-left: auto;margin-right: auto;">
													<div role="button" class="<?php echo self::$prefix_dash; ?>loction-inner-button btn btn-primary">
														<i class="fa fa-bars"></i>
													</div>
												</div>
-->

											</div>

										</div>

										<div class="btn-group col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>location-button <?php echo isset($edit_data['location']) && $edit_data['location'] == 3 ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location" style="width:100%;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location-<?php echo '3'; ?>" value="<?php echo '3'; ?>" <?php echo isset($edit_data['location']) && $edit_data['location'] == 3 ? 'checked="checked"' : ''; ?>/>

<!--
												<div class="col-xs-4" style="position:absolute; right: 0;">
													<div role="button" class="<?php echo self::$prefix_dash; ?>loction-inner-button btn btn-primary" style="position: absolute;right: 12px;top: 5px;">
														<i class="fa fa-bars"></i>
													</div>
												</div>
-->

											</div>

										</div>

										<div class="btn-group col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>location-button <?php echo isset($edit_data['location']) && $edit_data['location'] == 4 ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location" style="width:100%;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location-<?php echo '4'; ?>" value="<?php echo '4'; ?>" <?php echo isset($edit_data['location']) && $edit_data['location'] == 4 ? 'checked="checked"' : ''; ?>/>

<!--
												<div class="col-xs-4" style="position: absolute;left:0px;top: 32%;bottom: 0;margin-top: auto;margin-bottom: auto;">
													<div role="button" class="<?php echo self::$prefix_dash; ?>loction-inner-button btn btn-primary">
														<i class="fa fa-bars"></i>
													</div>
												</div>
-->

											</div>

										</div>


										<div class="col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div style="padding: 10px 0px;margin: 0 auto;text-align: center;">
												<img style="cursor:pointer" onclick="window.open('https://99robots.com/products/popup-fire/', '_blank');" src="<?php echo WPSITE_FLYOUT_FIRE_PLUGIN_URL . '/img/popup-fire-thumbnail.jpg';?>"/>
											</div>

										</div>

										<div class="btn-group col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>location-button <?php echo isset($edit_data['location']) && $edit_data['location'] == 6 ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location" style="width:100%;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location-<?php echo '6'; ?>" value="<?php echo '6'; ?>" <?php echo isset($edit_data['location']) && $edit_data['location'] == 6 ? 'checked="checked"' : ''; ?>/>

<!--
												<div class="col-xs-4" style="position: absolute;right:0;top: 32%;bottom: 0;margin-top: auto;margin-bottom: auto;">
													<div role="button" class="<?php echo self::$prefix_dash; ?>loction-inner-button btn btn-primary" style="position: absolute;right: 12px;">
														<i class="fa fa-bars"></i>
													</div>
												</div>
-->

											</div>

										</div>

										<div class="btn-group col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>location-button <?php echo isset($edit_data['location']) && $edit_data['location'] == 7 ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location" style="width:100%;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location-<?php echo '7'; ?>" value="<?php echo '7'; ?>" <?php echo isset($edit_data['location']) && $edit_data['location'] == 7 ? 'checked="checked"' : ''; ?>/>

<!--
												<div class="col-xs-4 pull-left" style="position: absolute;bottom: 10px;left: 0px;">
													<div role="button" class="<?php echo self::$prefix_dash; ?>loction-inner-button btn btn-primary">
														<i class="fa fa-bars"></i>
													</div>
												</div>
-->

											</div>

										</div>

										<div class="btn-group col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>location-button <?php echo isset($edit_data['location']) && $edit_data['location'] == 8 ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location" style="width:100%;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location-<?php echo '8'; ?>" value="<?php echo '8'; ?>" <?php echo isset($edit_data['location']) && $edit_data['location'] == 8 ? 'checked="checked"' : ''; ?>/>

<!--
												<div class="col-xs-4" style="padding: 0px;position: absolute;left: 0;right: 0;margin-left: auto;margin-right: auto; bottom: 10px;">
													<div role="button" class="<?php echo self::$prefix_dash; ?>loction-inner-button btn btn-primary">
														<i class="fa fa-bars"></i>
													</div>
												</div>
-->

											</div>

										</div>

										<div class="btn-group col-xs-4" style="margin-bottom: 20px; margin-left: 0px;">

											<div class="btn btn-default <?php echo self::$prefix_dash; ?>location-button <?php echo isset($edit_data['location']) && $edit_data['location'] == 9 ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>location" style="width:100%;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>location" id="<?php echo self::$prefix_dash; ?>location-<?php echo '9'; ?>" value="<?php echo '9'; ?>" <?php echo isset($edit_data['location']) && $edit_data['location'] == 9 ? 'checked="checked"' : ''; ?>/>

<!--
												<div class="col-xs-4" style="position: absolute;bottom: 45px;right:0;">
													<div role="button" class="<?php echo self::$prefix_dash; ?>loction-inner-button btn btn-primary" style="position: absolute;right: 12px;">
														<i class="fa fa-bars"></i>
													</div>
												</div>
-->

											</div>

										</div>

									</div>
									<em class="help-block"><?php _e('The location of the Flyout on the page.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

				</div>

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>conditions">

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Start & End Dates', self::$text_domain); ?></div>
						<div class="panel-body">

							<?php

							// Format dates

							$start_date = isset($edit_data["args"]["start_date"]) && $edit_data["args"]["start_date"] != '' ?
											date('m/d/Y h:i A', strtotime($edit_data["args"]["start_date"])) :
											date('m/d/Y h:i A', strtotime(current_time('mysql')));

							$end_date = isset($edit_data["args"]["end_date"]) && $edit_data["args"]["end_date"] != '' ?
											date('m/d/Y h:i A', strtotime($edit_data["args"]["end_date"])) :
											date("m/d/Y h:i A", mktime(0, 0, 0, date("m"), date("d"), date("Y")+20));

							?>

							<!-- Start Date -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>start-date" class="col-sm-3 control-label"><?php _e('Start Date', self::$text_domain); ?></label>
								<div class="col-sm-4 input-group date" id="<?php echo self::$prefix_dash; ?>start-datepicker" style="padding-right: 15px;padding-left: 15px;">
									<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>" readonly/>
									<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
									</span>
								</div>
								<em class="col-sm-9 pull-right help-block"><?php _e('The date that this Flyout should automatically start to display (defaults to now).', self::$text_domain); ?></em>
							</div>

							<!-- End Date -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>end-date" class="col-sm-3 control-label"><?php _e('End Date', self::$text_domain); ?></label>
								<div class="col-sm-4 input-group date" id="<?php echo self::$prefix_dash; ?>end-datepicker" style="padding-right: 15px;padding-left: 15px;">
									<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>" readonly/>
									<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
									</span>
								</div>
								<em class="col-sm-9 pull-right help-block"><?php _e('The date that this Flyout should automatically stop displaying.', self::$text_domain); ?></em>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Display', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Display On -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>trigger-type" class="col-sm-3 control-label"><?php _e('Display On', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>trigger-type" name="<?php echo self::$prefix_dash; ?>trigger-type">
										<option value="site" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'site') ? 'selected="selected"' :''); ?> ><?php _e('Site', self::$text_domain); ?></option>
										<option value="frontpage" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'frontpage') ? 'selected="selected"' :''); ?> ><?php _e('Front Page', self::$text_domain); ?></option>
										<option value="category" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'category') ? 'selected="selected"' :''); ?> ><?php _e('Category', self::$text_domain); ?></option>
										<option value="tag" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'tag') ? 'selected="selected"' :''); ?> ><?php _e('Tag', self::$text_domain); ?></option>
										<option value="archive" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'archive') ? 'selected="selected"' :''); ?> ><?php _e('Archive', self::$text_domain); ?></option>

										<?php foreach ($post_types as $post_type) { ?>
											<option value="<?php echo $post_type; ?>" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == $post_type) ? 'selected="selected"' :''); ?> ><?php _e(ucfirst($post_type), self::$text_domain); ?></option>
										<?php } ?>
									</select>
									<em class="help-block"><?php _e('On what page(s) / post(s) should this Flyout display?', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Post Types -->

							<?php foreach ($post_types as $post_type) { ?>

							<div id="<?php echo self::$prefix_dash; ?>trigger-div-<?php echo $post_type; ?>">

								<!-- All -->

								<div class="form-group" id="<?php echo self::$prefix_dash; ?>trigger-all-div-<?php echo $post_type; ?>">
									<label for="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" class="col-sm-3 control-label"><?php _e('All', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input id="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>" data-post="<?php echo $post_type; ?>" type="checkbox" <?php echo (isset($edit_data['trigger'][$post_type]['all']) && $edit_data['trigger'][$post_type]['all'] ? 'checked="checked"' :''); ?> />
										<label for="<?php echo self::$prefix_dash; ?>trigger-all-<?php echo $post_type; ?>">
								            <span class="fa-stack fa-lg">
								                <i class="fa fa-square-o fa-stack-1x"></i>
								                <i class="fa fa-check fa-stack-1x"></i>
								            </span>
								        </label>
									</div>
								</div>

								<!-- ID -->

								<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-id-div-<?php echo $post_type; ?>'>
									<label for="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" class="col-sm-3 control-label"><?php _e('ID', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input class="form-control <?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" id="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" name="<?php echo self::$prefix_dash; ?>trigger-id-<?php echo $post_type; ?>" type='text' value='<?php echo (isset($edit_data['trigger'][$post_type]['id']) ? $edit_data['trigger'][$post_type]['id'] :'');?>' />
										<em class="help-block"><?php _e('Only display this Flyout on these ' .  ucfirst($post_type) . 's.', self::$text_domain); ?></em>
									</div>
								</div>

							</div>

							<?php } ?>

							<!-- Category -->

							<div id='<?php echo self::$prefix_dash; ?>trigger-category-div'>

								<!-- All -->

								<div class="form-group" id="<?php echo self::$prefix_dash; ?>all-id">
									<label for="<?php echo self::$prefix_dash; ?>trigger-category-all" class="col-sm-3 control-label"><?php _e('All', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input id="<?php echo self::$prefix_dash; ?>trigger-category-all" name="<?php echo self::$prefix_dash; ?>trigger-category-all" type="checkbox" <?php echo (isset($edit_data['trigger']['category']['all']) && $edit_data['trigger']['category']['all'] ? 'checked="checked"' :''); ?> />
										<label for="<?php echo self::$prefix_dash; ?>trigger-category-all">
								            <span class="fa-stack fa-lg">
								                <i class="fa fa-square-o fa-stack-1x"></i>
								                <i class="fa fa-check fa-stack-1x"></i>
								            </span>
								        </label>
									</div>
								</div>

								<!-- ID -->

								<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-category-id-div'>
									<label for="<?php echo self::$prefix_dash; ?>trigger-category-id" class="col-sm-3 control-label"><?php _e('ID', self::$text_domain); ?></label>
									<div class="col-sm-9">
										<input id="<?php echo self::$prefix_dash; ?>trigger-category-id" name="<?php echo self::$prefix_dash; ?>trigger-category-id" class="form-control" type='text' value='<?php echo (isset($edit_data['trigger']['category']['id']) ? $edit_data['trigger']['category']['id'] :'');?>' /><br/>
										<em class="help-block"><?php _e('Only posts inside these categories will display a Flyout.', self::$text_domain); ?></em>
									</div>
								</div>

							</div>

							<!-- Tag -->

							<div class="form-group" id='<?php echo self::$prefix_dash; ?>trigger-tag-div'>
								<label for="<?php echo self::$prefix_dash; ?>all-id" class="col-sm-3 control-label"><?php _e('Tags', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>trigger-tag-id" name="<?php echo self::$prefix_dash; ?>trigger-tag-id" class="form-control" type='text' value='<?php echo (isset($edit_data['trigger']['tag']['id']) ? $edit_data['trigger']['tag']['id'] :'');?>' />
									<em class="help-block"><?php _e('Only posts with these tags will display a Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Trigger', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Trigger -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>trigger-args-type" class="col-sm-3 control-label"><?php _e('Trigger', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>trigger-args-type" name="<?php echo self::$prefix_dash; ?>trigger-args-type">
										<option value="timer" <?php echo ((isset($edit_data['trigger']['args']['type']) && $edit_data['trigger']['args']['type'] == 'timer') ? 'selected="selected"' :''); ?> ><?php _e('Timed Delay', self::$text_domain); ?></option>
										<option value="exit" <?php echo ((isset($edit_data['trigger']['args']['type']) && $edit_data['trigger']['args']['type'] == 'exit') ? 'selected="selected"' :''); ?> ><?php _e('Exit Intent (when user tries to leave page)', self::$text_domain); ?></option>
										<option value="scroll" <?php echo ((isset($edit_data['trigger']['args']['type']) && $edit_data['trigger']['args']['type'] == 'scroll') ? 'selected="selected"' :''); ?> ><?php _e('Scrolling (bottom of post)', self::$text_domain); ?></option>
										<!-- <option value="location" <?php echo ((isset($edit_data['trigger']['type']) && $edit_data['trigger']['type'] == 'location') ? 'selected="selected"' :''); ?> ><?php _e('Geographic Location', self::$text_domain); ?></option> -->
										<option value="button" <?php echo ((isset($edit_data['trigger']['args']['type']) && $edit_data['trigger']['args']['type'] == 'button') ? 'selected="selected"' :''); ?> ><?php _e('Custom button', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('When this slide-in should be displayed.', self::$text_domain); ?></em>
								</div>
							</div>


							<!-- Timer -->

							<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-type <?php echo self::$prefix_dash; ?>trigger-args-type-timer">
								<label for="<?php echo self::$prefix_dash; ?>trigger-args-timer" class="col-sm-3 control-label"><?php _e('Timer', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>trigger-args-timer" name="<?php echo self::$prefix_dash; ?>trigger-args-timer">
										<option value="0" <?php echo ((isset($edit_data['trigger']['args']['timer']) && $edit_data['trigger']['args']['timer'] == '0') ? 'selected="selected"' :''); ?> ><?php _e('Instant', self::$text_domain); ?></option>
										<option value="1000" <?php echo ((isset($edit_data['trigger']['args']['timer']) && $edit_data['trigger']['args']['timer'] == '1000') ? 'selected="selected"' :''); ?> ><?php _e('1 sec', self::$text_domain); ?></option>
										<option value="5000" <?php echo ((isset($edit_data['trigger']['args']['timer']) && $edit_data['trigger']['args']['timer'] == '5000') ? 'selected="selected"' :''); ?> ><?php _e('5 sec', self::$text_domain); ?></option>
										<option value="10000" <?php echo ((isset($edit_data['trigger']['args']['timer']) && $edit_data['trigger']['args']['timer'] == '10000') ? 'selected="selected"' :''); ?> ><?php _e('10 sec', self::$text_domain); ?></option>
										<option value="30000" <?php echo ((isset($edit_data['trigger']['args']['timer']) && $edit_data['trigger']['args']['timer'] == '30000') ? 'selected="selected"' :''); ?> ><?php _e('30 sec', self::$text_domain); ?></option>
										<option value="60000" <?php echo ((isset($edit_data['trigger']['args']['timer']) && $edit_data['trigger']['args']['timer'] == '60000') ? 'selected="selected"' :''); ?> ><?php _e('1 min', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Choose a timed delay for slide-ins so that they trigger after readers have been on a page for a specific duration of time.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Scroll -->

							<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-type <?php echo self::$prefix_dash; ?>trigger-args-type-scroll">
								<label for="<?php echo self::$prefix_dash; ?>trigger-args-scroll" class="col-sm-3 control-label"><?php _e('Scroll', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>trigger-args-scroll" name="<?php echo self::$prefix_dash; ?>trigger-args-scroll">
										<option value="0" <?php selected('0', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('0% Down', self::$text_domain); ?></option>
										<option value="25" <?php selected('25', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('25% Down', self::$text_domain); ?></option>
										<option value="50" <?php selected('50', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('50% Down', self::$text_domain); ?></option>
										<option value="75" <?php selected('75', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('75% Down', self::$text_domain); ?></option>
										<option value="100" <?php selected('100', $edit_data['trigger']['args']['scroll'], true); ?> ><?php _e('100% Down', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Auto detect when reader reaches bottom of post or page, or a a certain percentage down the post.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Exit Intent -->

							<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-type <?php echo self::$prefix_dash; ?>trigger-args-type-exit">
								<label for="<?php echo self::$prefix_dash; ?>trigger-args-exit" class="col-sm-3 control-label"><?php _e('Exit Intent', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<em class="help-block"><?php _e('Trigger slide-in as user\'s mouse navigates towards browser\'s back button or another tab.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Custom Button -->

							<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-type <?php echo self::$prefix_dash; ?>trigger-args-type-button">
								<label for="<?php echo self::$prefix_dash; ?>trigger-args-button" class="col-sm-3 control-label"><?php _e('Custom Button', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<em class="help-block"><?php _e('Add the class "wps-ff-custom-button-' . $edit_data['id'] . '" to any HTML element that you want to display this Flyout after a click. (e.g. ' . esc_html('<button class="wps-ff-custom-button-' . $edit_data['id'] . '">Click Me!</button>') . ')', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('URL Referrer', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Referrer Type -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>trigger-args-referrer-type" class="col-sm-3 control-label"><?php _e('Referrer Type', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>trigger-args-referrer-type" name="<?php echo self::$prefix_dash; ?>trigger-args-referrer-type">
										<option value="any" <?php echo selected($edit_data['trigger']['args']['referrer_type'], 'any',  true); ?> ><?php _e('Any Domain', self::$text_domain); ?></option>
										<option value="specific" <?php echo selected($edit_data['trigger']['args']['referrer_type'], 'specific', true); ?> ><?php _e('Specific Domains', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Display Flyout if user is coming from a certain domain.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Referrer -->

							<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-referrer <?php echo self::$prefix_dash; ?>trigger-args-referrer-specific">
								<label class="col-sm-3 control-label"><?php _e('Referrer Domains', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>trigger-args-referrer" name="<?php echo self::$prefix_dash; ?>trigger-args-referrer" placeholder="<?php _e('e.g t.co,www.facebook.com,plus.url.google.com,www.linkedin.com', self::$text_domain); ?>" value="<?php echo (isset($edit_data['trigger']['args']['referrer']) ? $edit_data['trigger']['args']['referrer'] :''); ?>" data-urls="<?php echo (isset($edit_data['trigger']['args']['referrer']) ? $edit_data['trigger']['args']['referrer'] :''); ?>"/>
									<em class="help-block"><?php _e('Valid domains the user must come from in order for Flyout to display.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('User Visibility', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Users -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>trigger-args-users" class="col-sm-3 control-label"><?php _e('Users', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>trigger-args-users" name="<?php echo self::$prefix_dash; ?>trigger-args-users">
										<option value="everyone" <?php echo ((isset($edit_data['trigger']['args']['users']) && $edit_data['trigger']['args']['users'] == 'everyone') ? 'selected="selected"' :''); ?> ><?php _e('Everyone', self::$text_domain); ?></option>
										<option value="logged_in" <?php echo ((isset($edit_data['trigger']['args']['users']) && $edit_data['trigger']['args']['users'] == 'logged_in') ? 'selected="selected"' :''); ?> ><?php _e('Only Users', self::$text_domain); ?></option>
										<option value="logged_out" <?php echo ((isset($edit_data['trigger']['args']['users']) && $edit_data['trigger']['args']['users'] == 'logged_out') ? 'selected="selected"' :''); ?> ><?php _e('Only Non-Users', self::$text_domain); ?></option>
										<option value="specific" <?php echo ((isset($edit_data['trigger']['args']['users']) && $edit_data['trigger']['args']['users'] == 'specific') ? 'selected="selected"' :''); ?> ><?php _e('Specific User Roles', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('What type of content should this Flyout display on.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- User Roles -->

							<div class="form-group <?php echo self::$prefix_dash; ?>trigger-args-users <?php echo self::$prefix_dash; ?>trigger-args-users-specific">
								<label class="col-sm-3 control-label"><?php _e('User Roles', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<em class="help-block"><?php _e('Which users, based on roles, can see this Flyout.', self::$text_domain); ?></em>
									<?php

									foreach ($wp_roles->role_names as $role_name => $role) { ?>
										<input type="checkbox" id="<?php echo self::$prefix_dash; ?>role-args-<?php echo $role_name; ?>" class="<?php echo self::$prefix_dash; ?>role" name="<?php echo self::$prefix_dash; ?>role-args-<?php echo $role_name; ?>" <?php echo isset($edit_data['trigger']['args']['user_roles'][$role_name]) && $edit_data['trigger']['args']['user_roles'][$role_name] ? 'checked="checked"' : ''; ?> class="form-control"/>
										<label for="<?php echo self::$prefix_dash; ?>role-args-<?php echo $role_name; ?>">
								            <span class="fa-stack fa-lg">
								                <i class="fa fa-square-o fa-stack-1x"></i>
								                <i class="fa fa-check fa-stack-1x"></i>
								            </span>
								        </label>
										<span><?php echo $role; ?></span><br/>

									<?php } ?>

								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Mobile', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Run plugin scripts on mobile/tablet devices -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>mobile" class="col-sm-3 control-label"><?php _e('Activate on Mobile', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>mobile" name="<?php echo self::$prefix_dash; ?>mobile" type='checkbox' <?php echo (isset($edit_data['args']['mobile']) && $edit_data['args']['mobile'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>mobile">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Display the Flyout on a mobile device.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>


				</div><!-- display condidtions -->

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix_dash;?>styling">

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Background', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Background Type -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>background-type" class="col-sm-3 control-label"><?php _e('Background Type', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>background-type" name="<?php echo self::$prefix_dash; ?>background-type">
										<option value="pattern" <?php selected($edit_data['args']['background_type'], 'pattern', true); ?>><?php _e('pattern', self::$text_domain); ?></option>
										<option value="image" <?php selected($edit_data['args']['background_type'], 'image', true); ?>><?php _e('image', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('Display an image or pattern as the background of the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Background Image -->

							<div class="form-group <?php echo self::$prefix_dash; ?>background-type <?php echo self::$prefix_dash; ?>background-type-image">
								<label for="<?php echo self::$prefix_dash; ?>background-image" class="col-sm-3 control-label"><?php _e('Background Image', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<?php
									$background_image_attributes = wp_get_attachment_image_src($edit_data['args']["background_image"], 'medium'); // returns an array

									if( $background_image_attributes ) {
										$background_image_src = $background_image_attributes[0];
									} else {
										$background_image_src = '';
									}
									?>

									<div id="<?php echo self::$prefix_dash; ?>background-image-show" style="padding: 20px;height: 200px; min-width: 300px;<?php echo isset($background_image_src) && $background_image_src != '' ? 'background-image: url(' . $background_image_src . ');' : ''; ?> background-repeat: no-repeat; background-position: center center;background-size: contain;" class="form-control well"></div>
									<em class="help-block"><?php _e('Select a high-quality image.', self::$text_domain)?></em>


									<input id="<?php echo self::$prefix_dash; ?>background-image-btn" class="btn btn-primary" type="button" value="<?php _e('Set Image', self::$text_domain); ?>" />
									<input id="<?php echo self::$prefix_dash; ?>background-image-btn-remove" class="btn btn-danger" type="button" value="<?php _e('Remove Image', self::$text_domain); ?>" />

									<input id="<?php echo self::$prefix_dash; ?>background-image" name="<?php echo self::$prefix_dash; ?>background-image" class="form-control hidden" type="text" value="<?php echo isset($edit_data['args']['background_image']) ? esc_attr($edit_data['args']['background_image']) : ''; ?>">
								</div>
							</div>

							<!-- Background Pattern -->

							<div class="form-group <?php echo self::$prefix_dash; ?>background-type <?php echo self::$prefix_dash; ?>background-type-pattern">
								<label for="<?php echo self::$prefix_dash; ?>background-pattern" class="col-sm-3 control-label"><?php _e('Background Pattern', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-toolbar" role="toolbar" data-toggle="buttons">

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('None', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'none' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px;">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-none" value="none" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'none' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('Dots', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'dots' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAAB1JREFUGBljYGBg4AFiQoAYNYTMGJWHhgAxgckDACfCADFzWBHCAAAAAElFTkSuQmCC);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-dots" value="dots" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'dots' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('Diagonal Right', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'diagonal_right' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAABVJREFUGBljYCAO8BCjbFQRA/WCAABg/gB584t6RwAAAABJRU5ErkJggg==);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-diagonal-right" value="diagonal_right" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'diagonal_right' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
										 	<?php _e('Diagonal Left', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'diagonal_left' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAABhJREFUGBljYGBg4AFiosGoYuSgomFoAABg/gB5Q6KWYgAAAABJRU5ErkJggg==);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-diagonal-left" value="diagonal_left" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'diagonal_left' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('Grid', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'grid' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAAB1JREFUGBljZGBg4AFiogBRCpmIMgqoaFQh3pACADLgACqd10PPAAAAAElFTkSuQmCC);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-grid" value="grid" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'grid' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('Zig Zag', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'zig_zag' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAICAYAAADA+m62AAAAAXNSR0IArs4c6QAAADFJREFUGBljYMAEPJhCmCIwRTAaUwVQBF0SnQ/WhFUQXTMuRTBrCcnD1OG1EUURaRwAYKwAecAGMfQAAAAASUVORK5CYII=);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-zig-zag" value="zig_zag" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'zig_zag' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('Diamonds', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'diamonds' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAAEVJREFUGBljYMAEPEAhEMYLkBUgs1E0YZPAEMMQQDICLgdnIEmiM3mY0EUI8fGZiiGHIQA0HZsY2FJkCWQ2VheBFGAoAgCw1ADb2LiCOQAAAABJRU5ErkJggg==);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-diamonds" value="diamonds" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'diamonds' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('Hearts', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'hearts' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAADlJREFUGBljYKA14EGzAM5nRJKACyKJwZhfmGAsQjSyiSC12Ez9ApJAV4iuGKwIJIgLYDMZl1oyxQFOKAMqAtJ4RAAAAABJRU5ErkJggg==);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-hearts" value="hearts" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'hearts' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('Circles', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'circles' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAADNJREFUGBljYKAH4AFaAsJ4AbICZDaKJmwScDEmFKUkcOAmAPUgs7EaAVJAUBFWnSQJAgBkhAB7H4o0xwAAAABJRU5ErkJggg==);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-circles" value="circles" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'circles' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

										<div class="btn-group col-xs-6 col-md-3 text-center" style="margin-bottom: 20px; margin-left: 0px;">
											<?php _e('X Out', self::$text_domain); ?>
											<label class="col-xs-12 btn btn-default <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'x_out' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>background-pattern" style="height: 50px; background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAAXNSR0IArs4c6QAAADRJREFUGBljYKAl4MFiODYxsDJkCWQ2FjMYGEAKMBQxYVVKhCCySchsFK3YJLCJoWginwMAZIQAe7Ze2SMAAAAASUVORK5CYII=);">
												<input type="radio" name="<?php echo self::$prefix_dash; ?>background-pattern" id="<?php echo self::$prefix_dash; ?>background-pattern-x-out" value="x_out" <?php echo isset($edit_data['args']['background_pattern']) && $edit_data['args']['background_pattern'] == 'x_out' ? 'checked="checked"' : ''; ?>/>
											</label>

										</div>

									</div>
									<em class="help-block"><?php _e('The background pattern of the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Colors', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Background Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>color" class="col-sm-3 control-label"><?php _e('Background Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>color" name="<?php echo self::$prefix_dash; ?>color" class="color_input" value="<?php echo (isset($edit_data['color']) ? $edit_data['color'] :'');?>"/>
									<em class="help-block"><?php _e('The background color of the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Text Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>text-color" class="col-sm-3 control-label"><?php _e('Text Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>text-color" name="<?php echo self::$prefix_dash; ?>text-color" class="color_input" value="<?php echo (isset($edit_data['text_color']) ? $edit_data['text_color'] :'');?>"/>
									<em class="help-block"><?php _e('The text color of the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Link Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>link-color" class="col-sm-3 control-label"><?php _e('Link Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>link-color" name="<?php echo self::$prefix_dash; ?>link-color" class="color_input" value="<?php echo (isset($edit_data['args']['link_color']) ? $edit_data['args']['link_color'] :'');?>"/>
									<em class="help-block"><?php _e('The Flyout link color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Button Text Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-text <?php echo self::$prefix_dash; ?>template-list <?php echo self::$prefix_dash; ?>template-social-icons <?php echo self::$prefix_dash; ?>template-contact-location-info">
								<label for="<?php echo self::$prefix_dash; ?>link-text-color" class="col-sm-3 control-label"><?php _e('Button Text Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>link-text-color" name="<?php echo self::$prefix_dash; ?>link-text-color" class="color_input" value="<?php echo (isset($edit_data['text_link']['link_text_color']) ? $edit_data['text_link']['link_text_color'] :'');?>"/>
									<em class="help-block"><?php _e('The text color of the button.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Button Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-text <?php echo self::$prefix_dash; ?>template-list <?php echo self::$prefix_dash; ?>template-social-icons <?php echo self::$prefix_dash; ?>template-contact-location-info">
								<label for="<?php echo self::$prefix_dash; ?>link-button-color" class="col-sm-3 control-label"><?php _e('Button Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>link-button-color" name="<?php echo self::$prefix_dash; ?>link-button-color" class="color_input" value="<?php echo (isset($edit_data['text_link']['link_button_color']) ? $edit_data['text_link']['link_button_color'] :'');?>"/>
									<em class="help-block"><?php _e('The link button color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- News Letter Button Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-newsletter <?php echo self::$prefix_dash; ?>template-contact-us">
								<label for="<?php echo self::$prefix_dash; ?>newsletter-text-color" class="col-sm-3 control-label"><?php _e('Subscribe / Contact Button Text Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>newsletter-text-color" name="<?php echo self::$prefix_dash; ?>newsletter-text-color" class="color_input" value="<?php echo (isset($edit_data['args']['nl_text_color']) ? $edit_data['args']['nl_text_color'] :'');?>"/>
									<em class="help-block"><?php _e('The News Letter "Subscribe" button text color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- News Letter Button Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-newsletter <?php echo self::$prefix_dash; ?>template-contact-us">
								<label for="<?php echo self::$prefix_dash; ?>newsletter-button-color" class="col-sm-3 control-label"><?php _e('Subscribe / Contact Button Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>newsletter-button-color" name="<?php echo self::$prefix_dash; ?>newsletter-button-color" class="color_input" value="<?php echo (isset($edit_data['args']['nl_button_color']) ? $edit_data['args']['nl_button_color'] :'');?>"/>
									<em class="help-block"><?php _e('The News Letter "Subscribe" button color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Social Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-social-icons">
								<label for="<?php echo self::$prefix_dash; ?>social-color" class="col-sm-3 control-label"><?php _e('Social Icons Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>social-color" name="<?php echo self::$prefix_dash; ?>social-color" class="color_input" value="<?php echo (isset($edit_data['args']['social_color']) ? $edit_data['args']['social_color'] :'');?>"/>
									<em class="help-block"><?php _e('The color of the social icons inside the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- List Color -->

							<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-list">
								<label for="<?php echo self::$prefix_dash; ?>list-color" class="col-sm-3 control-label"><?php _e('List Icon Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>list-color" name="<?php echo self::$prefix_dash; ?>list-color" class="color_input" value="<?php echo (isset($edit_data['args']['list']['color']) ? $edit_data['args']['list']['color'] :'');?>"/>
									<em class="help-block"><?php _e('The color of the list icons inside the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-newsletter <?php echo self::$prefix_dash; ?>template-contact-us">
						<div class="panel-heading"><?php _e('Button Icon', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Subscribe Icon -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>subscribe-icon" class="col-sm-3 control-label"><?php _e('Button Icon', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>subscribe-icon" data-iconset="fontawesome" data-icon="<?php echo $edit_data['args']['subscribe_icon']; ?>" role="iconpicker"></button>

									<em class="help-block"><?php _e('The icon that will display next to the text inside your Subscribe button.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Subscribe Icon Place -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>subscribe-icon-place" class="col-sm-3 control-label"><?php _e('Button Icon Place', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['subscribe_icon_place']) && $edit_data['args']['subscribe_icon_place'] == 'before' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>subscribe-icon-place">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>subscribe-icon-place" id="<?php echo self::$prefix_dash; ?>subscribe-icon-place-before" value="before" <?php echo isset($edit_data['args']['subscribe_icon_place']) && $edit_data['args']['subscribe_icon_place'] == 'before' ? 'checked="checked"' : ''; ?>/> <i class="fa fa-outdent"></i> <?php _e('Before', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['subscribe_icon_place']) && $edit_data['args']['subscribe_icon_place'] == 'after' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>subscribe-icon-place">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>subscribe-icon-place" id="<?php echo self::$prefix_dash; ?>subscribe-icon-place-after" value="after" <?php echo isset($edit_data['args']['subscribe_icon_place']) && $edit_data['args']['subscribe_icon_place'] == 'after' ? 'checked="checked"' : ''; ?>/> <?php _e('After', self::$text_domain); ?> <i class="fa fa-indent"></i>
										</label>

									</div>
									<em class="help-block"><?php _e('Where the subscribe icon will be placed in relation to the Subscribe button\'s text.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Text', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Text Align -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>text-align" class="col-sm-3 control-label"><?php _e('Text Align', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['text_align']) && $edit_data['args']['text_align'] == 'left' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>text-align-left">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>text-align" id="<?php echo self::$prefix_dash; ?>text-align-left" value="left" <?php echo isset($edit_data['args']['text_align']) && $edit_data['args']['text_align'] == 'left' ? 'checked="checked"' : ''; ?>/>
											<span class="glyphicon glyphicon-align-left"></span>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['text_align']) && $edit_data['args']['text_align'] == 'center' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>text-align-right">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>text-align" id="<?php echo self::$prefix_dash; ?>text-align-center" value="center" <?php echo isset($edit_data['args']['text_align']) && $edit_data['args']['text_align'] == 'center' ? 'checked="checked"' : ''; ?>/>
											<span class="glyphicon glyphicon-align-center"></span>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['text_align']) && $edit_data['args']['text_align'] == 'right' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>text-align-right">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>text-align" id="<?php echo self::$prefix_dash; ?>text-align-right" value="right" <?php echo isset($edit_data['args']['text_align']) && $edit_data['args']['text_align'] == 'right' ? 'checked="checked"' : ''; ?>/>
											<span class="glyphicon glyphicon-align-right"></span>
										</label>
									</div>
									<em class="help-block"><?php _e('How all the text in the Flyout will be aligned.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Text Link Decoration -->

							<div class="form-group <?php echo self::$prefix_dash; ?>template <?php echo self::$prefix_dash; ?>template-contact-location-info <?php echo self::$prefix_dash; ?>template-recent-posts <?php echo self::$prefix_dash; ?>template-related-posts <?php echo self::$prefix_dash; ?>template-twitter-feed">
								<label for="<?php echo self::$prefix_dash; ?>link-decoration" class="col-sm-3 control-label"><?php _e('Text Link Decoration', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>link-decoration" name="<?php echo self::$prefix_dash; ?>link-decoration">
										<option value="underlined" <?php selected($edit_data['args']['link_decoration'], 'underlined', true); ?>><?php _e('underlined', self::$text_domain); ?></option>
										<option value="none" <?php selected($edit_data['args']['link_decoration'], 'none', true); ?>><?php _e('none', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The text decoration of a link inside the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Font Size -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>font-size" class="col-sm-3 control-label"><?php _e('Font Size', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>font-size" name="<?php echo self::$prefix_dash; ?>font-size">
										<option value="auto" <?php selected($edit_data['args']['font_size'], 'auto', true); ?>><?php _e('auto', self::$text_domain); ?></option>
										<option value="12" <?php selected($edit_data['args']['font_size'], '12', true); ?>><?php _e('small', self::$text_domain); ?></option>
										<option value="15" <?php selected($edit_data['args']['font_size'], '15', true); ?>><?php _e('medium', self::$text_domain); ?></option>
										<option value="18" <?php selected($edit_data['args']['font_size'], '18', true); ?>><?php _e('large', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The font size of the text inside the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Font Weight -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>font-weight" class="col-sm-3 control-label"><?php _e('Font Weight', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>font-weight" name="<?php echo self::$prefix_dash; ?>font-weight">
										<option value="normal" <?php selected($edit_data['args']['font_weight'], 'normal', true); ?>><?php _e('normal', self::$text_domain); ?></option>
										<option value="bold" <?php selected($edit_data['args']['font_weight'], 'bold', true); ?>><?php _e('bold', self::$text_domain); ?></option>
										<option value="bolder" <?php selected($edit_data['args']['font_weight'], 'bolder', true); ?>><?php _e('bolder', self::$text_domain); ?></option>
										<option value="lighter" <?php selected($edit_data['args']['font_weight'], 'lighter', true); ?>><?php _e('lighter', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The font weight of the text inside the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Headline Enable Google Fonts -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>heading-google-fonts" class="col-sm-3 control-label"><?php _e('Headline Enable Google Fonts', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>heading-google-fonts" name="<?php echo self::$prefix_dash; ?>heading-google-fonts" type="checkbox" class="form-control" <?php echo (isset($edit_data['args']['heading_google_fonts']) && $edit_data['args']['heading_google_fonts'] ? 'checked="checked"' : ''); ?>/>
									<label for="<?php echo self::$prefix_dash; ?>heading-google-fonts">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Use Google Fonts for the Headline instead of the generic web fonts.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Headline Font Family -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>heading-font-family" class="col-sm-3 control-label"><?php _e('Headline Font Family', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>heading-font-family" name="<?php echo self::$prefix_dash; ?>heading-font-family">
										<?php foreach (self::$font_families as $font_family) { ?>
										<option value='<?php echo $font_family; ?>' <?php selected(stripcslashes($edit_data['args']['heading_font_family']), $font_family, true); ?>><?php _e($font_family, self::$text_domain); ?></option>
										<?php } ?>
									</select>
									<div style="max-width: 350px;" id="<?php echo self::$prefix_dash; ?>heading-google-font" class="bfh-selectbox bfh-googlefonts" data-name="<?php echo self::$prefix_dash; ?>heading-font-family" data-font="<?php echo ($edit_data['args']['heading_google_fonts'] ? $edit_data['args']['heading_font_family'] : 'Open Sans'); ?>"></div>
									<em class="help-block"><?php _e('The font family of the Headline.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Enable Google Fonts -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>google-fonts" class="col-sm-3 control-label"><?php _e('Body Enable Google Fonts', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input id="<?php echo self::$prefix_dash; ?>google-fonts" name="<?php echo self::$prefix_dash; ?>google-fonts" type="checkbox" class="form-control" <?php echo (isset($edit_data['args']['google_fonts']) && $edit_data['args']['google_fonts'] ? 'checked="checked"' : ''); ?>/>
									<label for="<?php echo self::$prefix_dash; ?>google-fonts">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Use Google Fonts instead of the generic web fonts.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Font Family -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>font-family" class="col-sm-3 control-label"><?php _e('Body Font Family', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>font-family" name="<?php echo self::$prefix_dash; ?>font-family">
										<?php foreach (self::$font_families as $font_family) { ?>
										<option value='<?php echo $font_family; ?>' <?php selected(stripcslashes($edit_data['args']['font_family']), $font_family, true); ?>><?php _e($font_family, self::$text_domain); ?></option>
										<?php } ?>
									</select>
									<div style="max-width: 350px;" id="<?php echo self::$prefix_dash; ?>google-font" class="bfh-selectbox bfh-googlefonts" data-name="<?php echo self::$prefix_dash; ?>font-family" data-font="<?php echo ($edit_data['args']['google_fonts'] ? $edit_data['args']['font_family'] : 'Open Sans'); ?>"></div>
									<em class="help-block"><?php _e('The font family of the text inside the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Border', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Animation -->

							<div class="form-group hidden">
								<label for="<?php echo self::$prefix_dash; ?>animation" class="col-sm-3 control-label"><?php _e('Animation', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>animation" name="<?php echo self::$prefix_dash; ?>animation" type='checkbox' <?php echo (isset($edit_data['animation']) && $edit_data['animation'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>animation">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Enable Flyout animation.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Effect -->

							<div class="form-group hidden">
								<label for="<?php echo self::$prefix_dash; ?>effect" class="col-sm-3 control-label"><?php _e('Effect', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>effect" name="<?php echo self::$prefix_dash; ?>effect">

										<?php foreach (self::$effects as $effect) { ?>
											<option value="<?php echo $effect; ?>" <?php selected($effect, $edit_data['args']['effect'], true); ?>><?php echo $effect; ?></option>
										<?php } ?>

									</select>
									<em class="help-block"><?php _e('The effect of the Flyout animation.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Drop Shadow -->

							<div class="form-group hidden">
								<label for="<?php echo self::$prefix_dash; ?>shadow" class="col-sm-3 control-label"><?php _e('Drop Shadow', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input class="form-control" id="<?php echo self::$prefix_dash; ?>shadow" name="<?php echo self::$prefix_dash; ?>shadow" type='checkbox' <?php echo (isset($edit_data['args']['shadow']) && $edit_data['args']['shadow'] == 'yes' ? 'checked="checked"' : '');?>/>
									<label for="<?php echo self::$prefix_dash; ?>shadow">
							            <span class="fa-stack fa-lg">
							                <i class="fa fa-square-o fa-stack-1x"></i>
							                <i class="fa fa-check fa-stack-1x"></i>
							            </span>
							        </label>
									<em class="help-block"><?php _e('Include the Flyout shadow.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Border Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>border-color" class="col-sm-3 control-label"><?php _e('Border Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>border-color" name="<?php echo self::$prefix_dash; ?>border-color" class="color_input" value="<?php echo (isset($edit_data['args']['border_color']) ? $edit_data['args']['border_color'] :'');?>"/>
									<em class="help-block"><?php _e('The Flyout\'s stub border color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Border Size -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>border-size" class="col-sm-3 control-label"><?php _e('Border Size', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<select id="<?php echo self::$prefix_dash; ?>border-size" name="<?php echo self::$prefix_dash; ?>border-size">

									<?php for ($i = 0; $i < 6; $i++) {?>
									<option value="<?php echo $i; ?>" <?php selected($i, $edit_data['args']['border_size'], true); ?>><?php echo $i; ?></option>
									<?php } ?>

									</select>
									<em class="help-block"><?php _e('The Flyout\'s border size.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

					<div class="panel panel-default">
						<div class="panel-heading"><?php _e('Stub Styling', self::$text_domain); ?></div>
						<div class="panel-body">

							<!-- Icon -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>icon" class="col-sm-3 control-label"><?php _e('Icon', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<button class="btn btn-default" name="<?php echo self::$prefix_dash; ?>icon" data-iconset="fontawesome" data-icon="<?php echo $edit_data['args']['icon']; ?>" role="iconpicker"></button>

									<em class="help-block"><?php _e('The icon that will be displayed in the Flyout.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Icon Color -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>icon-color" class="col-sm-3 control-label"><?php _e('Icon Color', self::$text_domain); ?></label>
								<div class="col-sm-9">
									<input type="text" id="<?php echo self::$prefix_dash; ?>icon-color" name="<?php echo self::$prefix_dash; ?>icon-color" class="color_input" value="<?php echo (isset($edit_data['args']['icon_color']) ? $edit_data['args']['icon_color'] :'');?>"/>
									<em class="help-block"><?php _e('The Flyout icon color.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Stub Shape -->

							<div class="form-group">
								<label for="<?php echo self::$prefix_dash; ?>stub-shape" class="col-sm-3 control-label"><?php _e('Stub Shape', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<select id="<?php echo self::$prefix_dash; ?>stub-shape" name="<?php echo self::$prefix_dash; ?>stub-shape">
										<option value="square" <?php selected('square', $edit_data['args']['stub_shape'], true); ?>><?php _e('Square', self::$text_domain); ?></option>
										<option value="rounded-square" <?php selected('rounded-square', $edit_data['args']['stub_shape'], true); ?>><?php _e('Rounded Square', self::$text_domain); ?></option>
										<option value="circle" <?php selected('circle', $edit_data['args']['stub_shape'], true); ?>><?php _e('Circle', self::$text_domain); ?></option>
										<option value="drop" <?php selected('drop', $edit_data['args']['stub_shape'], true); ?>><?php _e('Drop', self::$text_domain); ?></option>
									</select>
									<em class="help-block"><?php _e('The effect of the Flyout animation.', self::$text_domain); ?></em>
								</div>
							</div>

							<!-- Stub Location -->

							<div class="form-group hidden">
								<label for="<?php echo self::$prefix_dash; ?>stub-location" class="col-sm-3 control-label"><?php _e('Flyout Stub Location', self::$text_domain); ?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">

										<label class="btn btn-default <?php echo isset($edit_data['args']['stub_location']) && $edit_data['args']['stub_location'] == 'left' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>stub-location-left">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>stub-location" id="<?php echo self::$prefix_dash; ?>stub-location-left" value="left" <?php echo isset($edit_data['args']['stub_location']) && $edit_data['args']['stub_location'] == 'left' ? 'checked="checked"' : ''; ?>/> <?php _e('Left', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data['args']['stub_location']) && $edit_data['args']['stub_location'] == 'right' ? 'active' : ''; ?>" for="<?php echo self::$prefix_dash; ?>stub-location-right">
											<input type="radio" name="<?php echo self::$prefix_dash; ?>stub-location" id="<?php echo self::$prefix_dash; ?>stub-location-right" value="right" <?php echo isset($edit_data['args']['stub_location']) && $edit_data['args']['stub_location'] == 'right' ? 'checked="checked"' : ''; ?>/> <?php _e('Right', self::$text_domain); ?>
										</label>

									</div>
									<em class="help-block"><?php _e('The location of the Flyout stub on the page.', self::$text_domain); ?></em>
								</div>
							</div>

						</div>
					</div>

				</div><!-- styling -->

			</div>

			<input type="submit" value="<?php echo (isset($_GET["flyout_fire_id"]) ? __("Update", self::$text_domain) : __("Save", self::$text_domain)); ?>" class="btn btn-primary" id="submit" name="submit"/>

			<?php wp_nonce_field(self::$prefix . 'admin_settings'); ?>

		</form>

	</div>

	<?php require_once('footer.php'); ?>

</div>