<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<h1 id="nnr-heading"><?php _e('Flyout Emails', self::$text_domain); ?></h1>

		<div id="<?php echo self::$prefix_dash; ?>before-table" class="col-xs-12">
			<form method="get" class="form-inline" role="form">

				<?php

				// Format dates

				$start_date = isset($_GET[self::$prefix_dash . "start-date"]) && $_GET[self::$prefix_dash . "start-date"] != '' ?
								date('m/d/Y', strtotime($_GET[self::$prefix_dash . "start-date"])) :
								date('m/d/Y', mktime(0, 0, 0, date("m")-1, date("d"), date("Y")));

				$end_date = isset($_GET[self::$prefix_dash . "end-date"]) && $_GET[self::$prefix_dash . "end-date"] != '' ?
								date('m/d/Y', strtotime($_GET[self::$prefix_dash . "end-date"])) :
								date("m/d/Y", strtotime(current_time('mysql')));

				?>

				<input class="hidden" name="page" value="<?php echo self::$emails_page; ?>"/>
				<a style="margin-left: 15px;" href="<?php echo wp_nonce_url(admin_url() . 'admin.php?page=' . self::$emails_page . '&' . self::$prefix_dash  . 'start-date=' . $start_date . '&' . self::$prefix_dash . 'end-date=' . $end_date . '&export_data=true', self::$prefix . 'export_data') ;?>" target="_blank" role="button" class="pull-right btn btn-primary"><?php _e('Export Data', self::$text_domain); ?></a>
				<input type="submit" value="<?php _e("Apply", self::$text_domain); ?>" class="pull-right btn btn-primary"/>


				<div class="form-group pull-right">
					<div class="input-group date <?php echo self::$prefix_dash; ?>export-end-datepicker" id="<?php echo self::$prefix_dash; ?>end-datepicker">
						<input id="<?php echo self::$prefix_dash; ?>end-date" name="<?php echo self::$prefix_dash; ?>end-date" type='text' class="form-control" value="<?php echo $end_date; ?>"/>
						<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
						</span>
					</div>
				</div>

				<div class="form-group pull-right">
					<div class="input-group date <?php echo self::$prefix_dash; ?>export-start-datepicker" id="<?php echo self::$prefix_dash; ?>start-datepicker">
						<input id="<?php echo self::$prefix_dash; ?>start-date" name="<?php echo self::$prefix_dash; ?>start-date" type='text' class="form-control" value="<?php echo $start_date; ?>"/>
						<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
						</span>
					</div>
				</div>

			</form>
		</div>
		<br/>

		<div id="<?php echo self::$prefix_dash; ?>loading-emails">
			<div class="fa fa-spinner fa-spin"></div>
		</div>

	</div>

	<?php require_once('footer.php'); ?>

</div>